






#popup {
  display: none;/* Hide the popup initially */
  position: fixed; /* Keep it positioned even when scrolling */
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(255, 255, 255, 0.123); /* Semi-transparent overlay */
  backdrop-filter: blur(2px);
  z-index: 100;
 
}

#popup.show { /* Style for the popup when opened */
  display: block;

  
}

#popup h2 {
  text-align: center;
  margin-top: 20px;
}

#close-popup {
  padding: 10px 12px;
  background-color: #FFC801;
  border-radius: 50%;
  border: none;
  cursor: pointer;
  margin-top: 20px;
  position: absolute;
    z-index: 2;
    top: -10%;
    right:-5%;

}









/* Pretty Stuff */
.contact-form-container {
    background: #fff;
    font-family: "Lato", sans-serif;
    
  }
  
  .contact-us {
    position: relative;
    width: 150px;
    background: #d188e7;
    overflow: hidden;
  }
  .contact-us:before {
    position: absolute;
    content: "";
    bottom: -50px;
    left: -100px;
    height: 150px;
    width: 400px;
    background: #602274;
    transform: rotate(25deg);
  }
  .contact-us:after {
    position: absolute;
    content: "";
    bottom: -80px;
    right: -100px;
    height: 170px;
    width: 400px;
    background: #FFC801;
    transform: rotate(-25deg);
  }
  
  .contact-header {
    color: rgb(0, 0, 0);
    position: absolute;
    transform: rotate(-90deg);
    top: 120px;
    left: -40px;
  }
  .contact-header h1 {
    font-size: 1.2rem;
  }
  
  .social-bar {
    position: absolute;
    bottom: 20px;
    left: 75px;
    z-index: 1;
    width: 100px;
  }
  .social-bar ul {
    list-style-type: none;
  }
  .social-bar ul li {
    display: inline-block;
    color: rgb(0, 0, 0);
    width: 25px;
    height: 25px;
    line-height: 25px;
    text-align: center;
    margin-right: -4px;
    font-size: 1.2rem;
  }
  
  #popup .header {
    text-align: center;
    padding: 20px 0;
    color: #444;
  }
  #popup .header h1 {
    font-weight: normal;
  }
  #popup .header h2 {
    margin-top: 10px;
    font-weight: 300;
  }
  
  #popup .address,#popup .email,#popup .phone {
    text-align: center;
    padding: 20px 0;
    color: #444;
  }
  #popup .address h3,#popup .email h3,#popup .phone h3 {
    font-size: 0.8rem;
    font-weight: 300;
  }

  #popup .address h3 a,#popup .email h3 a, #popup .phone h3 a{
    text-decoration: none;
    color: #000;
  }


  .address i, .email i, .phone i {
    color: #8D43A4;
    font-size: 1.7rem;
    margin-bottom: 20px;
  }
  
  #popup form {
    position: relative;
    width: 340px;
    margin: 0 auto;
    padding: 20px;
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.1);
    background: #d188e7;
  }
  
  @media (max-width: 470px) {
        #popup form {
    position: relative;
    width: 280px;
        }
        #close-popup {
            right:0;
        }
        
  }
  
  
  #popup form input, form textarea {
    background: #d188e7;
    display: block;
    margin: 20px auto auto auto;
    width: 100%;
    border: 0;
  }
  #popup form input {
    height: 40px;
    line-height: 40px;
    outline: 0;
    border-bottom: 1px solid rgba(0, 0, 0, 0.3);
    font-size: 1rem;
    color: rgba(0, 0, 0, 0.8);
  }
  #popup form textarea {
    border-bottom: 1px solid rgba(0, 0, 0, 0.3);
    resize: none;
    outline: none;
    font-size: 1rem;
    font-family: lato;
    color: rgba(0, 0, 0, 0.8);
  }

  ::placeholder{
    color: #000000;
  }
  
  #popup form button {
    position: absolute;
    display: block;
    height: 40px;
    width: 250px;
    left: 50%;
    transform: translate(-50%, 10px);
    border: 0;
    border-radius: 20px;
    bottom: -20px;
    background: #FFC801;
    color: rgb(0, 0, 0);
    font-size: 1.1rem;
    font-weight: 300;
    outline: none;
  }
  
  #popup .contact-form {
    padding-bottom: 40px;
  }
  

  .contact-form-container {
    
    top: 50%;
    transform: translate(-50%, -50%);
    left: 50%;
    position: relative;
    display: grid;
    width: 450px;
    grid-template-areas: "header""contact-form";
    height: fit-content;
    border-radius:20px;
    
  }
  
 #popup form {
    background-color: #fff;
}

#popup form input, form textarea {
    background-color: #fff;
}
 
 
.contact-us {
    display: none;
  }



  
  #popup .address {
    display: none;
  }
  
  #popup .phone {
    display: none;
  }
  
  #popup .email {
    display: none;
  }
  
  #popup .contact-form {
    grid-area: contact-form;
  }


  #popup form p{
    color: #ff0000;
    font-size: 0.7rem;
  }
  
   #popup form p:last-child{
       color:green;
   }